Bug 1128393 - Review Request: qhexedit2 - Binary Editor for Qt
Summary: Review Request: qhexedit2 - Binary Editor for Qt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1119644 1173375
TreeView+ depends on / blocked
 
Reported: 2014-08-10 01:23 UTC by Sandro Mani
Modified: 2014-12-25 05:34 UTC (History)
3 users (show)

Fixed In Version: qhexedit2-0.6.3-2.20141212svnr41.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-25 05:29:32 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2014-08-10 01:23:19 UTC
Spec URL: https://smani.fedorapeople.org/review/qhexedit2.spec
SRPM URL: https://smani.fedorapeople.org/review/qhexedit2-0.6.3-1.fc22.src.rpm
Description: Binary Editor for Qt
Fedora Account System Username: smani

Comment 1 Christopher Meng 2014-08-10 02:10:20 UTC
The reason I didn't put it up to the queue is that this is a dead project, maybe upstream will move to other alternatives.

I hope you can understand. I can review this one, but I want to get the future development schedule of sqlb first.

Thanks.

Comment 2 Sandro Mani 2014-08-10 11:28:19 UTC
I see. I guess [1] would be an alternative, though Qt5 only. Is there somewhere where one can follow the upstream discussion?

[1] https://github.com/Dax89/QHexEdit

Comment 3 Sandro Mani 2014-08-19 17:10:00 UTC
Hi Christopher,

What do you think about continuing with this regardless of the qhexedit situation? I think the sqlitemanager is a really nice tool to have, and personally I'm not overly concerned about the qhexedit project being dead (it is by far not the only one), since it seems to work just fine. If you know that upstream has plans to migrate away from it, we could also ask for a bundling exception.

Thanks

Comment 4 Lubomir Rintel 2014-12-12 14:21:21 UTC
This seems rather nicely packaged.

* Named correctly
- Not sure about version/release & the upstream source (see below)
- Not sure about the license tag (see below)
- License file not shipped in main package (see below)
* SPEC file clean and legible
* Builds fine in mock
- Documentation bundles jquery (see below)
* Filelist sane
* Dependencies sane

0.) You seem to be packaging a SCM snapshot

Please follow the release tag guidelines: http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

1.) Please pinpoint the source file to a particular SVN revision

Use -r option with svn in your source comment.

2.) Why is the license tag LGPLv2+?

A LGPLv2 license text is shipped, but it's unclear what it applies to. Upstream needs to clarify that license applies (preferrably in source code), whether it's LGPLv2 or LGPLv2+.

3.) Please remove copy of jquery from documentation package

Use packaged version if needed.

4.) Please add license text to main package

Not just the -doc subpackage.

Comment 5 Lubomir Rintel 2014-12-12 14:29:41 UTC
Also you may consider making the -doc subpackage noarch.

Comment 6 Sandro Mani 2014-12-12 16:57:05 UTC
Spec URL: https://smani.fedorapeople.org/review/qhexedit2.spec
SRPM URL: https://smani.fedorapeople.org/review/qhexedit2-0.6.3-2.20141212svnr41.fc22.src.rpm

%changelog
* Fri Dec 12 2014 Sandro Mani <manisandro@gmail.com> - 0.6.3-2.20141212svnr41
- Update source file name to include svn revision
- Fix license LGPLv2+ -> LGPLv2
- Added -Wl,--as-needed to fix unused-direct-shlib-dependency


> 0.) You seem to be packaging a SCM snapshot
> Please follow the release tag guidelines: http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
Done

> 1.) Please pinpoint the source file to a particular SVN revision
> Use -r option with svn in your source comment.
Done

> 2.) Why is the license tag LGPLv2+?
Right, the + should not be there...

> A LGPLv2 license text is shipped, but it's unclear what it applies to. Upstream needs to clarify that license applies (preferrably in source code), whether it's LGPLv2 or LGPLv2+.
I think using LGPLv2 is the correct thing to do.

> 3.) Please remove copy of jquery from documentation package
According to http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries:
Temporary exception for anything to bundle jquery.
-> Added Provides: bundled(jquery) to -doc

> 4.) Please add license text to main package
> Not just the -doc subpackage.
The main package gets it via dependency on -libs.

> Also you may consider making the -doc subpackage noarch.
Uhm, already is?:)

Comment 7 Lubomir Rintel 2014-12-15 11:14:09 UTC
Okay. Looks fine to me now.

APPROVED

Comment 8 Sandro Mani 2014-12-15 12:02:58 UTC
Thank you! Let me know if I can review anything in exchange.

New Package SCM Request
=======================
Package Name: qhexedit2
Short Description: Binary Editor for Qt
Owners: smani
Branches: f20 f21

Comment 9 Gwyn Ciesla 2014-12-15 13:20:41 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-12-15 15:14:21 UTC
qhexedit2-0.6.3-2.20141212svnr41.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qhexedit2-0.6.3-2.20141212svnr41.fc21

Comment 11 Fedora Update System 2014-12-15 15:15:56 UTC
qhexedit2-0.6.3-2.20141212svnr41.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qhexedit2-0.6.3-2.20141212svnr41.fc20

Comment 12 Fedora Update System 2014-12-17 04:41:13 UTC
qhexedit2-0.6.3-2.20141212svnr41.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Fedora Update System 2014-12-25 05:29:32 UTC
qhexedit2-0.6.3-2.20141212svnr41.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-12-25 05:34:04 UTC
qhexedit2-0.6.3-2.20141212svnr41.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.